function RAQ_InitAchievements()
	-- FIXME: Add comments to achievement IDs for easier changing if Blizzard change something.
	RAQ_DB = {
		["_boss"] = {
			["Ulduar"] = {},
			["Icecrown Citadel"] = {},
			["Trial of the Crusader"] = {},
			["Naxxramas"] = {},
			["Onyxia's Lair"] = {},
			["Sartharion"] = {},
			["Malygos"] = {},
		},
		["_meta"] = {},
	}

	RAQ_AddNaxxramasBosses();
	RAQ_AddOnyxiaBoss();
	RAQ_AddMalygosBoss();
	RAQ_AddSartharionBoss();
	RAQ_AddUlduarBosses();
	RAQ_AddICCBosses();
	RAQ_AddTOTCBosses();
	RAQ_AddMetaAchievements();

	-- Add all ids to _scan.
	RAQ_DB["_scan"] = {};
	for k,v in pairs(RAQ_DB["_meta"]) do
		for k2,v2 in pairs(v) do
			RAQ_DB["_scan"][v2] = 1;
		end
	end
	
	
	for k,v in pairs(RAQ_DB["_boss"]) do -- Instance
		for k2,v2 in pairs(v) do -- Boss
			for k3,v3 in pairs(v2) do -- Size
				for k4,v4 in pairs(v3) do -- Actual IDs
					RAQ_DB["_scan"][v4] = 1;
				end
			end
		end
	end
end

function RAQ_AddICCBosses()
	RAQ_DB["_boss"]["Icecrown Citadel"] = {
		-- Storming the Citadel
		["Lord Marrowgar"] = { -- 36612
			["size10"] = {
				4534, -- Boned (10 player)
				4628, -- Heroic: Storming the Citadel (10 player)
				4531, -- Storming the Citadel (10 player)
			},
			["size25"] = {
				4610, -- Boned (25 player)
				4632, -- Heroic: Storming the Citadel (25 player)
				4604, -- Storming the Citadel (25 player)
			},
		},
		["Lady Deathwhisper"] = { -- 36855
			["size10"] = {
				4628, -- Heroic: Storming the Citadel (10 player)
				4531, -- Storming the Citadel (10 player)
			},
			["size25"] = {
				4632, -- Heroic: Storming the Citadel (25 player)
				4604, -- Storming the Citadel (25 player)
			},
		},
		["Gunship Battle"] = { -- <no NPC ID>
			["size10"] = {
				4628, -- Heroic: Storming the Citadel (10 player)
				4531, -- Storming the Citadel (10 player)
				4536, -- I'm on a Boat (10 player)
			},
			["size25"] = {
				4632, -- Heroic: Storming the Citadel (25 player)
				4604, -- Storming the Citadel (25 player)
				4612, -- I'm on a Boat (25 player)
			},
		},
		["Deathbringer Saurfang"] = { -- 37813
			["size10"] = {
				4628, -- Heroic: Storming the Citadel (10 player)
				4531, -- Storming the Citadel (10 player)
				4537, -- I've Gone and Made a Mess (10 player)
			},
			["size25"] = {
				4632, -- Heroic: Storming the Citadel (25 player)
				4604, -- Storming the Citadel (25 player)
				4613, -- I've Gone and Made a Mess (25 player)
			},
		},

		-- The Plagueworks
		["Festergut"] = { -- 36626
			["size10"] = {
				4577, -- Flu Shot Shortage (10 player)
				4629, -- Heroic: The Plagueworks (10 player)
				4528, -- The Plagueworks (10 player)
			},
			["size25"] = {
				4615, -- Flu Shot Shortage (25 player)
				4633, -- Heroic: The Plagueworks (25 player)
				4605, -- The Plagueworks (25 player)
			},
		},
		["Rotface"] = { -- 36627
			["size10"] = {
				4538, -- Dances with Oozes (10 player)
				4629, -- Heroic: The Plagueworks (10 player)
				4528, -- The Plagueworks (10 player)
			},
			["size25"] = {
				4614, -- Dances with Oozes (25 player)
				4633, -- Heroic: The Plagueworks (25 player)
				4605, -- The Plagueworks (25 player)
			},
		},
		["Professor Putricide"] = { -- 36678
			["size10"] = {
				4629, -- Heroic: The Plagueworks (10 player)
				4578, -- Nausea, Heartburn, Indigestion... (10 player)
				4528, -- The Plagueworks (10 player)
			},
			["size25"] = {
				4633, -- Heroic: The Plagueworks (25 player)
				4616, -- Nausea, Heartburn, Indigestion... (25 player)
				4605, -- The Plagueworks (25 player)
			},
		},

		-- The Crimson Hall
		["Blood Prince Council"] = { -- <no NPC ID>
			["size10"] = {
				4630, -- Heroic: The Crimson Hall (10 player)
				4529, -- The Crimson Hall (10 player)
				4582, -- The Orb Whisperer (10 player)
			},
			["size25"] = {
				4634, -- Heroic: The Crimson Hall (25 player)
				4606, -- The Crimson Hall (25 player)
				4617, -- The Orb Whisperer (25 player)
			},
		},
		["Blood-Queen Lana'thel"] = { -- 37955
			["size10"] = {
				4630, -- Heroic: The Crimson Hall (10 player)
				4539, -- Once Bitten, Twice Shy (10 player)
				4529, -- The Crimson Hall (10 player)
			},
			["size25"] = {
				4634, -- Heroic: The Crimson Hall (25 player)
				4618, -- Once Bitten, Twice Shy (25 player)
				4606, -- The Crimson Hall (25 player)
			},
		},

		-- The Frostwing Halls
		["Sindragosa"] = { -- 36853
			["size10"] = {
				4580, -- All You Can Eat (10 player)
				4631, -- Heroic: The Frostwing Halls (10 player)
				4527, -- The Frostwing Halls (10 player)
			},
			["size25"] = {
				4620, -- All You Can Eat (25 player)
				4635, -- Heroic: The Frostwing Halls (25 player)
				4607, -- The Frostwing Halls (25 player)
			},
		},
		["Valithria Dreamwalker"] = { -- 36789
			["size10"] = {
				4631, -- Heroic: The Frostwing Halls (10 player)
				4527, -- The Frostwing Halls (10 player)
				4579, -- Portal Jockey (10 player)
			},
			["size25"] = {
				4635, -- Heroic: The Frostwing Halls (25 player)
				4607, -- The Frostwing Halls (25 player)
				4619, -- Portal Jockey (25 player)
			},
		},

		-- The Frozen Throne
		["The Lich King"] = { -- 36597
			["size10"] = {
				4601, -- Been Waiting a Long Time for This (10 player)
				4581, -- Neck-Deep in Vile (10 player)
				4530, -- The Frozen Throne (10 player)
				4583, -- Bane of the Fallen King
			},
			["size25"] = {
				4621, -- Been Waiting a Long Time for This (25 player)
				4622, -- Neck-Deep in Vile (25 player)
				4597, -- The Frozen Throne (25 player)
				4584, -- The Light of Dawn
			},
		},
	}
end

function RAQ_AddOnyxiaBoss()
	RAQ_DB["_boss"]["Onyxia's Lair"] = {
		["Onyxia"] = {
			["size10"] = {
				4396, -- Onyxia's Lair (10 player)
				4402, -- More Dots! (10 player)
				4403, -- Many Whelps! Handle It! (10 player)
				4404, -- She Deep Breaths More (10 player)
			},
			["size25"] = {
				4397, -- Onyxia's Lair (25 player)
				4405, -- More Dots! (25 player)
				4406, -- Many Whelps! Handle It! (25 player)
				4407, -- She Deep Breaths More (25 player)
			},
		},
	}
end

function RAQ_AddSartharionBoss()
	RAQ_DB["_boss"]["Sartharion"] = {
		["Sartharion"] = {
			["size10"] = {
				624, -- Less Is More (10 player)
				2047, -- Gonna Go When the Volcano Blows (10 player)
				1876, -- Besting the Black Dragonflight (10 player)
				2049, -- Twilight Assist (10 player)
				2050, -- Twilight Duo (10 player)
				2051, -- The Twilight Zone (10 player)
			},
			["size25"] = {
				625, -- Besting the Black Dragonflight (25 player)
				1877, -- Less Is More (25 player)
				2048, -- Gonna Go When the Volcano Blows (25 player)
				2052, -- Twilight Assist (25 player)
				2053, -- Twilight Duo (25 player)
				2054, -- The Twilight Zone (25 player)
			},
		},
	}
end

function RAQ_AddMalygosBoss()
	RAQ_DB["_boss"]["Malygos"] = {
		["Malygos"] = {
			["size10"] = {
				622, -- The Spellweaver's Downfall (10 player)
				1869, -- A Poke In The Eye (10 player)
				1874, -- You Don't Have An Eternity (10 player)
				2148, -- Denyin' the Scion (10 player)
			},
			["size25"] = {
				623, -- The Spellweaver's Downfall (25 player)
				1870, -- A Poke In The Eye (25 player)
				1875, -- You Don't Have An Eternity (25 player)
				2149, -- Denyin' the Scion (25 player)
			},
		},
	}
end

function RAQ_AddNaxxramasBosses()
	RAQ_DB["_boss"]["Naxxramas"] = {
		-- Acachnid Quarter
		["Anub'Rekhan"] = {
			["size10"] = {
				562, -- The Arachnid Quarter (10 player)
				576, -- The Fall of Naxxramas (10 player)
			},
			["size25"] = {
				563, -- The Arachnid Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["Grand Widow Faerlina"] = {
			["size10"] = {
				562, -- The Arachnid Quarter (10 player)
				576, -- The Fall of Naxxramas (10 player)
				1997, -- Momma Said Knock You Out (10 player)
			},
			["size25"] = {
				563, -- The Arachnid Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2140, -- Momma Said Knock You Out (25 player)
			},
		},
		["Maexxna"] = {
			["size10"] = {
				562, -- The Arachnid Quarter (10 player)
				576, -- The Fall of Naxxramas (10 player)
				1858, -- Arachnophobia (10 player)
			},
			["size25"] = {
				563, -- The Arachnid Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
				1859, -- Arachnophobia (25 player)
			},
		},

		-- The Construct Quarter
		["Patchwerk"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				564, -- The Construct Quarter (10 player)
				1856, -- Make Quick Werk Of Him (10 player)
			},
			["size25"] = {
				577, -- The Fall of Naxxramas (25 player)
				565, -- The Construct Quarter (25 player)
				1857, -- Make Quick Werk Of Him (25 player)
			},
		},
		["Grobbus"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				564, -- The Construct Quarter (10 player)
			},
			["size25"] = {
				565, -- The Construct Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["Gluth"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				564, -- The Construct Quarter (10 player)
			},
			["size25"] = {
				565, -- The Construct Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["Thaddius"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				2178, -- Shocking! (10 player)
				2180, -- Subtraction (10 player)
				564, -- The Construct Quarter (10 player)
			},
			["size25"] = {
				565, -- The Construct Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2179, -- Shocking! (25 player)
				2181, -- Subtraction (25 player)
			},
		},

		-- The plague quarter
		["Noth"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				566, -- The Plague Quarter (10 player)
			},
			["size25"] = {
				567, -- The Plague Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["Heigan"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				566, -- The Plague Quarter (10 player)
				1996, -- The Safety Dance (10 player)
			},
			["size25"] = {
				567, -- The Plague Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2139, -- The Safety Dance (25 player)
			},
		},
		["Loatheb"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				566, -- The Plague Quarter (10 player)
				2182, -- Spore Loser (10 player)
			},
			["size25"] = {
				567, -- The Plague Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2183, -- Spore Loser (25 player)
			},
		},

		-- The military quarter
		["Razuvious"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				568, -- The Military Quarter (10 player)
			},
			["size25"] = {
				569, -- The Military Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["Gothik"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				568, -- The Military Quarter (10 player)
			},
			["size25"] = {
				569, -- The Military Quarter (25 player)
				577, -- The Fall of Naxxramas (25 player)
			},
		},
		["The Four Horsemen"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				568, -- The Military Quarter (10 player)
				2176, -- And They Would All Go Down Together (10 player)
			},
			["size25"] = {
				569, -- The Military Quarter (25 player)
				2177, -- And They Would All Go Down Together (25 player)
			},
		},

		-- Sapphiron & Kel'Thuzad
		["Sapphiron"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				572, -- Sapphiron's Demise (10 player)
				2146, -- The Hundred Club (10 player)
			},
			["size25"] = {
				573, -- Sapphiron's Demise (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2147, -- The Hundred Club (25 player)
			},
		},
		["Kel'Thuzad"] = {
			["size10"] = {
				576, -- The Fall of Naxxramas (10 player)
				574, -- Kel'Thuzad's Defeat (10 player)
				2184, -- Just Can't Get Enough (10 player)
			},
			["size25"] = {
				575, -- Kel'Thuzad's Defeat (25 player)
				577, -- The Fall of Naxxramas (25 player)
				2185, -- Just Can't Get Enough (25 player)
			},
		},

		-- Misc
		["Misc"] = {
			["size10"] = {
				578, -- The Dedicated Few (10 player)
				2187, -- The Undying
			},
			["size25"] = {
				579, -- The Dedicated Few (25 player)
				2186, -- The Immortal
			},
		},
	}
end

function RAQ_AddUlduarBosses()
	RAQ_DB["_boss"]["Ulduar"] = {
		-- The Siege of Ulduar
		["Flame Leviathan"] = { -- 33113
			["size10"] = {
				2915, -- Nuked from Orbit (10 player)
				3056, -- Orbit-uary (10 player)
				2913, -- Orbital Bombardment (10 player)
				2914, -- Orbital Devastation (10 player)
				2911, -- Shutout (10 player)
				2886, -- The Siege of Ulduar (10 player)
				2907, -- Three Car Garage (10 player)
				2905, -- Unbroken (10 player)
			},
			["size25"] = {
				2917, -- Nuked from Orbit (25 player)
				3057, -- Orbit-uary (25 player)
				2918, -- Orbital Bombardment (25 player)
				2916, -- Orbital Devastation (25 player)
				2912, -- Shutout (25 player)
				2887, -- The Siege of Ulduar (25 player)
				2908, -- Three Car Garage (25 player)
				2906, -- Unbroken (25 player)
			},
		},
		["Ignis the Furnace Master"] = { -- 33118
			["size10"] = {
				2886, -- The Siege of Ulduar (10 player)
				2925, -- Shattered (10 player)
				2927, -- Hot Pocket (10 player)
				2930, -- Stokin' the Furnace (10 player)
			},
			["size25"] = {
				2887, -- The Siege of Ulduar (25 player)
				2926, -- Shattered (25 player)
				2928, -- Hot Pocket (25 player)
				2929, -- Stokin' the Furnace (25 player)
			},
		},
		["Razorscale"] = { -- 33186
			["size10"] = {
				2923, -- Iron Dwarf, Medium Rare (10 player)
				2886, -- The Siege of Ulduar (10 player)
				2919, -- A Quick Shave (10 player)
			},
			["size25"] = {
				2921, -- A Quick Shave (25 player)
				2887, -- The Siege of Ulduar (25 player)
				2924, -- Iron Dwarf, Medium Rare (25 player)
			},
		},
		["XT-002 Deconstructor"] = { -- 33293
			["size10"] = {
				3058, -- Heartbreaker (10 player)
				2937, -- Must Deconstruct Faster (10 player)
				2931, -- Nerf Engineering (10 player)
				2934, -- Nerf Gravity Bombs (10 player)
				2886, -- The Siege of Ulduar (10 player)
			},
			["size25"] = {
				3059, -- Heartbreaker (25 player)
				2938, -- Must Deconstruct Faster (25 player)
				2932, -- Nerf Engineering (25 player)
				2936, -- Nerf Gravity Bombs (25 player)
				2887, -- The Siege of Ulduar (25 player)
			},
		},

		-- The Antechamber of Ulduar
		["Assembly of Iron"] = { -- <no NPC ID>
			["size10"] = {
				2888, -- The Antechamber of Ulduar (10 player)
				2945, -- But I'm On Your Side (10 player)
				2947, -- Can't Do That While Stunned (10 player)
				2939, -- I Choose You, Runemaster Molgeim (10 player)
				2941, -- I Choose You, Steelbreaker (10 player)
				2940, -- I Choose You, Stormcaller Brundir (10 player)
			},
			["size25"] = {
				2889, -- The Antechamber of Ulduar (25 player)
				2946, -- But I'm On Your Side (25 player)
				2948, -- Can't Do That While Stunned (25 player)
				2924, -- I Choose You, Runemaster Molgeim (25 player)
				2944, -- I Choose You, Steelbreaker (25 player)
				2943, -- I Choose You, Stormcaller Brundir (25 player)
			},
		},
		["Algalon the Observer"] = { -- 32871
			["size10"] = {
				3004, -- He Feeds On Your Tears (10 player)
				3316, -- Herald of the Titans
				3036, -- Observed (10 player)
				3003, -- Supermassive (10 player)
			},
			["size25"] = {
				3005, -- He Feeds On Your Tears (25 player)
				3037, -- Observed (25 player)
				3002, -- Supermassive (25 player)
			},
		},
		["Auriaya"] = { -- 33515
			["size10"] = {
				3006, -- Crazy Cat Lady (10 player)
				3076, -- Nine Lives (10 player)
				2888, -- The Antechamber of Ulduar (10 player)
			},
			["size25"] = {
				3007, -- Crazy Cat Lady (25 player)
				3077, -- Nine Lives (25 player)
				2889, -- The Antechamber of Ulduar (25 player)
			},
		},
		["Kologarn"] = { -- 32930
			["size10"] = {
				2953, -- Disarmed (10 player)
				2955, -- If Looks Could Kill (10 player)
				2959, -- Rubble and Roll (10 player)
				2888, -- The Antechamber of Ulduar (10 player)
				2951, -- With Open Arms (10 player)
			},
			["size25"] = {
				2954, -- Disarmed (25 player)
				2956, -- If Looks Could Kill (25 player)
				2960, -- Rubble and Roll (25 player)
				2889, -- The Antechamber of Ulduar (25 player)
				2952, -- With Open Arms (25 player)
			},
		},

		-- The Keepers of Ulduar
		["Freya"] = { -- 32906
			["size10"] = {
				2890, -- The Keepers of Ulduar (10 player)
				2979, -- Lumberjacked (10 player)
				2980, -- Con-speed-atory (10 player)
				2982, -- Getting Back to Nature (10 player)
				2985, -- Deforestation (10 player)
				3177, -- Knock on Wood (10 player)
				3178, -- Knock, Knock on Wood (10 player)
				3179, -- Knock, Knock, Knock on Wood (10 player)
			},
			["size25"] = {
				2891, -- The Keepers of Ulduar (25 player)
				3118, -- Lumberjacked (25 player)
				2981, -- Con-speed-atory (10 player)
				2983, -- Getting Back to Nature (25 player)
				2984, -- Deforestation (25 player)
				3185, -- Knock on Wood (25 player)
				3186, -- Knock, Knock on Wood (25 player)
				3187, -- Knock, Knock, Knock on Wood (25 player)
			},
		},
		["Hodir"] = { -- 32845
			["size10"] = {
				2890, -- The Keepers of Ulduar (10 player)
				2961, -- Cheese the Freeze (10 player)
				2963, -- I Have the Coolest Friends (10 player)
				2967, -- Getting Cold in Here (10 player)
				2969, -- Staying Buffed All Winter (10 player)
				3182, -- I Could Say That This Cache Was Rare (10 player)
			},
			["size25"] = {
				2891, -- The Keepers of Ulduar (25 player)
				2962, -- Cheese the Freeze (25 player)
				2965, -- I Have the Coolest Friends (25 player)
				2968, -- Getting Cold in Here (25 player)
				2970, -- Staying Buffed All Winter (25 player)
				3184, -- I Could Say That This Cache Was Rare (25 player)
			},
		},
		["Mimiron"] = { -- 33350
			["size10"] = {
				2890, -- The Keepers of Ulduar (10 player)
				2989, -- Set Up Us the Bomb (10 player)
				3138, -- Not-So-Friendly Fire (10 player)
				3180, -- Firefighter (10 player)
			},
			["size25"] = {
				2891, -- The Keepers of Ulduar (25 player)
				3237, -- Set Up Us the Bomb (25 player)
				2995, -- Not-So-Friendly Fire (25 player)
				3189, -- Firefighter (25 player)
			},
		},
		["Thorim"] = { -- 32865
			["size10"] = {
				2890, -- The Keepers of Ulduar (10 player)
				2971, -- Don't Stand in the Lightning (10 player)
				2973, -- I'll Take You All On (10 player)
				2975, -- Who Needs Bloodlust? (10 player)
				2977, -- Siffed (10 player)
				3176, -- Lose Your Illusion (10 player)
			},
			["size25"] = {
				2891, -- The Keepers of Ulduar (25 player)
				2972, -- Don't Stand in the Lightning (25 player)
				2974, -- I'll Take You All On (25 player)
				2976, -- Who Needs Bloodlust? (25 player)
				2978, -- Siffed (25 player)
				3183, -- Lose Your Illusion (25 player)
			},
		},

		-- The Descent into Madness
		["General Vezax"] = { -- 33271
			["size10"] = {
				3181, -- I Love the Smell of Saronite in the Morning (10 player)
				2996, -- Shadowdodger (10 player)
				2892, -- The Descent into Madness (10 player)
			},
			["size25"] = {
				3188, -- I Love the Smell of Saronite in the Morning (25 player)
				2997, -- Shadowdodger (25 player)
				2893, -- The Descent into Madness (25 player)
			},
		},
		["Yogg-Saron"] = { -- 33288
			["size10"] = {
				3159, -- Alone in the Darkness (10 player)
				3008, -- Drive Me Crazy (10 player)
				3158, -- One Light in the Darkness (10 player)
				2892, -- The Descent into Madness (10 player)
				3157, -- Three Lights in the Darkness (10 player)
				3141, -- Two Lights in the Darkness (10 player)
			},
			["size25"] = {
				3164, -- Alone in the Darkness (25 player)
				3010, -- Drive Me Crazy (25 player)
				3163, -- One Light in the Darkness (25 player)
				2893, -- The Descent into Madness (25 player)
				3161, -- Three Lights in the Darkness (25 player)
				3162, -- Two Lights in the Darkness (25 player)
			},
		},

		-- Misc, not tied to any boss or multiple bosses
		["Misc Ulduar"] = { -- <no NPC ID>
			["size10"] = {
				2903, -- Champion of Ulduar
				3097, -- Dwarfageddon (10 player)
			},
			["size25"] = {
				2904, -- Conqueror of Ulduar
				3098, -- Dwarfageddon (25 player)
			},
		},
	}
end

function RAQ_AddTOTCBosses()
	RAQ_DB["_boss"]["Trial of the Crusader"] = {
		["Northrend Beasts"] = { -- <no NPC ID>
			["size10"] = {
				3917, -- Call of the Crusade (10 player)
				3918, -- Call of the Grand Crusade (10 player)
				3936, -- Not One, But Two Jormungars (10 player)
				3797, -- Upper Back Pain (10 player)
			},
			["size25"] = {
				3916, -- Call of the Crusade (25 player)
				3812, -- Call of the Grand Crusade (25 player)
				3937, -- Not One, But Two Jormungars (25 player)
				3813, -- Upper Back Pain (25 player)
			},
		},
		["Lord Jaraxxus"] = { -- 34780
			["size10"] = {
				3917, -- Call of the Crusade (10 player)
				3918, -- Call of the Grand Crusade (10 player)
				3996, -- Three Sixty Pain Spike (10 player)
			},
			["size25"] = {
				3916, -- Call of the Crusade (25 player)
				3812, -- Call of the Grand Crusade (25 player)
				3997, -- Three Sixty Pain Spike (25 player)
			},
		},
		["Faction Champions"] = { -- <no NPC ID>
			["size10"] = {
				3917, -- Call of the Crusade (10 player)
				3918, -- Call of the Grand Crusade (10 player)
				3798, -- Resilience Will Fix It (10 player)
			},
			["size25"] = {
				3916, -- Call of the Crusade (25 player)
				3812, -- Call of the Grand Crusade (25 player)
				3814, -- Resilience Will Fix It (25 player)
			},
		},
		["Twin Val'kyr"] = { -- <no NPC ID>
			["size10"] = {
				3799, -- Salt and Pepper (10 player)
				3917, -- Call of the Crusade (10 player)
				3918, -- Call of the Grand Crusade (10 player)
			},
			["size25"] = {
				3812, -- Call of the Grand Crusade (25 player)
				3815, -- Salt and Pepper (25 player)
				3916, -- Call of the Crusade (25 player)
			},
		},
		["Anub'arak"] = { -- 34564
			["size10"] = {
				3917, -- Call of the Crusade (10 player)
				3918, -- Call of the Grand Crusade (10 player)
				3800, -- The Traitor King (10 player)
			},
			["size25"] = {
				3916, -- Call of the Crusade (25 player)
				3812, -- Call of the Grand Crusade (25 player)
				3816, -- The Traitor King (25 player)
			},
		},
		["Misc"] = { -- <no NPC ID>
			["size10"] = {
				3810, -- A Tribute to Insanity (10 player)
				3809, -- A Tribute to Mad Skill (10 player)
				3808, -- A Tribute to Skill (10 player)
				4080, -- A Tribute to Dedicated Insanity
			},
			["size25"] = {
				3819, -- A Tribute to Insanity (25 player)
				3818, -- A Tribute to Mad Skill (25 player)
				3817, -- A Tribute to Skill (25 player)
				
				-- Grumbles, these are different IDs for horde and alliance. Dunno how to solve it really.
				4079, -- A Tribute to Immortality
				4156, -- A Tribute to Immortality
			},
		},
	}
end


function RAQ_AddMetaAchievements()
	RAQ_DB["_meta"] = {
		["Glory of the Icecrown Raider (25 player)"] = { 4632, 4633, 4634, 4635, 4610, 4611, 4612, 4613, 4614, 4615, 4616, 4617, 4618, 4619, 4620, 4621, 4622 },
		["Glory of the Icecrown Raider (10 player)"] = { 4628, 4629, 4630, 4631, 4534, 4535, 4536, 4537, 4538, 4577, 4578, 4582, 4539, 4579, 4580, 4601 },

		["Glory of the Ulduar Raider (25 player)"] = { 3057, 2929, 2924, 3059, 2944, 2954, 3007, 3184, 3183, 3187, 3189, 3188, 3163 },
		["Glory of the Ulduar Raider (10 player)"] = { 3056, 2930, 2923, 3058, 2941, 2953, 3006, 3182, 3176, 3179, 3180, 3181, 3158 },

		["Various Ulduar (25 player)"] = { 2921, 3164, 2946, 2948, 2962, 2981, 2904, 2984, 2972, 3010, 3098, 2983, 2968, 3005, 3013, 2928, 2942, 2943, 2965, 2974, 2956, 3016, 3011, 3185, 3186, 3118, 2938, 2932, 2936, 2935, 3077, 2995, 2917, 3037, 2918, 2916, 2960, 3237, 2997, 2926, 2912, 2978, 2970, 3002, 2910, 2889, 2893, 2891, 2895, 2887, 3017, 2908, 3161, 3162, 2906, 2976, 2952 },
		["Various Ulduar (10 player)"] = { 2919, 3159, 2945, 2947, 2903, 2961, 2980, 2985, 2971, 3008, 3097, 2982, 2967, 3004, 3012, 3316, 2927, 2939, 2940, 2963, 2973, 2955, 3015, 3009, 3177, 3178, 2979, 2937, 2931, 2934, 2933, 3076, 3138, 2915, 3036, 2913, 2914, 2959, 2989, 2996, 2925, 2911, 2977, 2969, 3003, 2909, 2888, 2892, 2890, 2894, 2886, 3014, 2907, 3157, 3141, 2905, 2975, 2951 },

		["Call of the Crusade (25 player)"] = { 3819, 3818, 3817, 3916, 3812, 3937, 3814, 3815, 3816, 3997, 3813 },
		["Call of the Crusade (10 player)"] = { 4080, 3810, 3809, 3808, 3917, 3918, 3936, 3798, 3799, 3800, 3996, 3797 },

		["Glory of the Hero"] = { 1919, 2150, 2036, 2037, 1296, 1297, 1860, 1862, 2038, 2056, 2151, 2039, 2057, 1816, 1865, 2041, 2153, 1864, 2152, 2040, 2058, 1866, 2154, 2155, 1867, 1834, 2042, 1817, 1872, 2043, 1873, 2156, 2157, 1871, 1868, 2044, 2045, 2046 },

		["Glory of the Raider (10 player)"] = {
			 578, -- The Dedicated Few (10 player)
			1858, -- Arachnophobia (10 player)
			1856, -- Make Quick Werk Of Him (10 player)
			1996, -- The Safety Dance (10 player)
			1997, -- Momma Said Knock You Out (10 player)
			2178, -- Shocking! (10 player)
			2180, -- Subtraction (10 player)
			 622, -- The Spellweaver's Downfall (10 player)
			1874, -- You Don't Have An Eternity (10 player)
			1869, -- A Poke In The Eye (10 player)
			2047, -- Gonna Go When the Volcano Blows (10 player)
			2051, -- The Twilight Zone (10 player)
			2146, -- The Hundred Club (10 player)
			2176, -- And They Would All Go Down Together (10 player)
			2148, -- Denyin' the Scion (10 player)
			2187, -- The Undying
			2184, -- Just Can't Get Enough (10 player)
		},

		["Glory of the Raider (25 player)"] = {
			 579, -- The Dedicated Few (25 player)
			1859, -- Arachnophobia (25 player)
			1857, -- Make Quick Werk Of Him (25 player)
			2139, -- The Safety Dance (25 player)
			2140, -- Momma Said Knock You Out (25 player)
			2186, -- The Immortal
			2179, -- Shocking! (25 player)
			2177, -- And They Would All Go Down Together (25 player)
			2181, -- Subtraction (25 player)
			 623, -- The Spellweaver's Downfall (25 player)
			1875, -- You Don't Have An Eternity (25 player)
			1870, -- A Poke In The Eye (25 player)
			2048, -- Gonna Go When the Volcano Blows (25 player)
			2149, -- Denyin' the Scion (25 player)
			2054, -- The Twilight Zone (25 player)
			2147, -- The Hundred Club (25 player)
			2185, -- Just Can't Get Enough (25 player)
		},

		["Lich King (10 player)"] = { 1869, 2176, 1858, 1876, 2148, 4016, 2047, 4818, 2184, 574, 624, 1856, 4403, 1997, 4402, 4396, 572, 4404, 2178, 2182, 2180, 562, 564, 578, 576, 2146, 568, 566, 1996, 622, 4817, 2051, 2187, 2049, 2050, 1874 },
		["Lich King (25 player)"] = { 1870, 2177, 1859, 625, 2149, 4017, 2048, 4816, 2185, 575, 1877, 1857, 4406, 2140, 4405, 4397, 573, 4407, 2179, 2183, 2181, 563, 565, 579, 577, 2147, 2186, 569, 567, 2139, 623, 4815, 2054, 2052, 2053, 1875 },
	}
end
